
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <meta
    name="viewport"
    content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no"
  />
  <meta
    http-equiv="Cache-Control"
    content="no-cache, no-store, must-revalidate"
  />
  <meta http-equiv="Pragma" content="no-cache" />
  <meta http-equiv="Expires" content="0" />
  <meta
    name="robots"
    content="index, follow"
    data-testid="all-robots-meta-tag"
  />
  <link
    rel="canonical"
    href="https://www.trivenzo.online/"
    id="link_canonical"
    data-testid="link_canonical"
  />
  <meta name="msapplication-TileColor" content="#fede4d" />
  <meta
    name="msapplication-square70x70logo"
    content="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-70x70.webp"
  />
  <meta
    name="msapplication-square150x150logo"
    content="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-150x.150webp"
  />
  <meta
    name="msapplication-square310x310logo"
    content="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-310x310.webp"
  />
  <meta name="msapplication-config" content="none" />
  <link
    rel="apple-touch-icon"
    sizes="192x192"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-192x192.webp"
  />
  <link
    data-default-icon="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-96x96.webp"
    rel="shortcut icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-96x96.webp"
  />
  <link
    rel="icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-16x16.webp"
    sizes="16x16"
  />
  <link
    rel="icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-32x32.webp"
    sizes="32x32"
  />
  <link
    rel="icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-96x96.webp"
    sizes="96x96"
  />
  <link
    rel="shorcut icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-192x192.webp"
    sizes="192x192"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-57x57.webp"
    sizes="57x57"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-60x60.webp"
    sizes="60x60"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-72x72.webp"
    sizes="72x72"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-76x76.webp"
    sizes="76x76"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-114x114.webp"
    sizes="114x114"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-120x120.webp"
    sizes="120x120"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-144x144.webp"
    sizes="144x144"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-152x152.webp"
    sizes="152x152"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-180x180.webp"
    sizes="180x180"
  />
  <title>Lexo ᴾᴷ | Convenient Food Ordering with Free Delivery</title>
  <meta property="og:title" content="Lexo ᴾᴷ | Family Dining Experience" />
  <meta
    property="og:description"
    content="Savor delicious meals with loved ones at Lexo ᴾᴷ. Our specially crafted dishes make every moment a celebration of family togetherness."
  />
  <meta property="og:url" content="https://trivenzo.online" />
  <meta
    name="description"
    content="Discover Lexo PK, your ultimate destination for premium food delivery. Enjoy a diverse range of gourmet meals, fresh local cuisine, and quick meal solutions delivered straight to your door. Whether you're craving delicious takeout, healthy options, or family meal packs, Lexo has you covered. Explore trending dishes and exclusive deals that elevate your dining experience. Join us today and savor the joy of exceptional food, conveniently delivered!"
  />
  <meta
    name="keywords"
    content="Lexo, Lexo PK, premium food delivery, local food ordering, gourmet food service, fresh meal delivery, online restaurant finder, best food deals, quick meal solutions, food discovery app, takeout specials, healthy meal delivery, fast food alternatives, customized meal plans, delicious food options, meal prep delivery, culinary delights, restaurant delivery service, trending cuisines, family meal packs"
  />

  <link
    rel="stylesheet"
    href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css"
  />
</head>

<body>
    <!-- audio music -->
    <!--<audio id="background-audio" src="../assets/music/bg.mp3" preload="auto" loop></audio>-->
    
    
    
    
    <!-- Navigation bar -->
    <nav class="nav no-shadow">
    <div class="nav-continer">
        <div class="left">
            <a href="#"><img src="./assets/images/logo/logo.webp" alt="Logo"></a>
        </div>
        <div class="center">
            <ul class="nav-menu">
                <a href="#home"><li>Home</li></a>
                <a href="#menu"><li>Our Menu</li></a>
                <a href="#location"><li>Location</li></a>
                <a href="#specialities"><li>Specialities</li></a>
                <a href="#discount"><li>Discount</li></a>
            </ul>                
        </div>
        <div class="right">
          <audio id="background-audio" loop>
    <source src="your-audio-file.mp3" type="audio/mpeg">
    Your browser does not support the audio element.
</audio>

<div class="mute">
    <i class="fa-solid fa-volume-high" id="on-music" style="display: none;"></i>
    <i class="fa-solid fa-volume-xmark" id="off-music" style="display: block;"></i>
</div>

<style>
    @import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  html {
    font-size: 62.5%;

  }
  body {
  
    font-family: sans-serif;
  }
.nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background: #fede4d;
    transition: box-shadow 0.3s ease; 
}
.parent > ul 
{
    display: flex;
    flex-direction: column;
    align-items:flex-start;
    width: 100%;
    gap: 1.5rem;
}
.no-shadow {
    box-shadow: none;
}
#locationResult {
    text-align: center;
    font-size: 1.5rem;
    color: #5b3e2e;
}
.shadow {
    box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 5px 0px, rgba(0, 0, 0, 0.1) 0px 0px 1px 0px; 
}
.nav-continer {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 0 10rem;
    height: 6rem;
    color: #5b3e2e;
}
.nav-continer > .center > ul {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 4rem;
    margin: 0;
    padding: 0; 
    list-style: none; 
}
.nav-continer > .center > ul > a {
    text-decoration: none;
    color: #5b3e2e;
    font-weight: 800;
    font-size: 1.2rem;
}
.nav-continer > .center > ul > a > li {
    transition: transform 0.3s ease; 
}
.nav-continer > .left > a > img {
    width: 9rem;
}
.nav-continer > .right {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 3rem;
}
.nav-continer > .right > button {
    width: 9rem;
    height: 3.5rem;
    color: white;
    background-color: #5b3e2e;
    border-radius: 5rem;
    border: none;
    cursor: pointer;
}
.right > button > a {
    text-decoration: none;
    color: white;
    font-size: 1.2rem;
    font-weight: 600;
}
.right > i {
    display: none;
}
.mute {
    background: #ffffff65;
    border-radius: 7px;
    width: 3.5rem;
    height: 3.5rem;
    color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
}
.mute > i {
    font-size: 1.5rem;
    cursor: pointer;
}
.mute > i:hover {
    transform: scale(1.2);
}
#on-music {
    display: block;
}
.card > img:hover
{
    transform: scale(1.05);
}
#off-music {
    display: none;
}
.hero
{
    height: 100vh;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    background-color: #fede4d;
}
.hero > .hero-container
{
width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 8rem 10rem;
    align-items: center;
}
.hero-right > img
{
    width: 50rem;
}
.hero-left > img
{
    width: 10rem;
    position: absolute;
    right: 36rem;
    opacity: 0.8;
    top: -41px;
    rotate: 201deg;
}
.hero > img
{
    width: 10rem;
    position: absolute;
    bottom: 1rem;
}
.hero-content
{
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: start;
    gap: 3rem;
}
.hero-content > h1
{
    font-size: 3vw;
    font-weight: 900;
    color: #5b3e2e;
}
.hero-content > span
{
    font-size: 1.8rem;
    text-align: start;
}
.hero-left 
{
    display: flex;
    flex-direction: column;
    position: relative;
    justify-content: center;
    align-items: center;
}
.hero-content > button 
{
    width: 10rem;
    height: 3.5rem;
    color: white;
    background-color: #5b3e2e;
    align-items: center;
    border-radius: 5rem;
    text-decoration: none;
    border: none;
    box-shadow: none;
    cursor: pointer;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}
.hero-content > button > a
{
    color: white;
    text-decoration: none;
}
.menu
{
    height: fit-content;
    width: 100%;
    background: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 8rem 15rem;
    opacity: 1;
    align-items: center;
    z-index: 1;
}
.menu > img
{
    width: 100%;
    height: 70rem;
    opacity: 0.8;
}
.menu-card-container
{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 3rem;
    grid-template-rows: repeat(2, auto);
    padding-top: 2rem;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: fit-content;
}
.menu-container
{
    display: flex;
    flex-direction: column;
    width: fit-content;
    justify-content: center;
    align-items: center;
}
.menu-container > h1
{
    color: #5b3e2e;
    font-size: 4vw;
    font-weight: 800;
}
.menu-container > ul
{
    display: flex;
    flex-direction: row;
    gap: 3rem;
    align-items: center;
    text-decoration: none;
    justify-content: center;
    list-style: none;
    padding: 2rem;
}
.card
{
    width: 22rem;
    display: flex;
    /*overflow: hidden;*/
    flex-direction: column;
    gap: 1rem;
    align-items: center;
    justify-content: start;
}
.card > img 
{
    width: 20rem;
    transition: transform 0.3s ease; 
}
.menu-container > button
{   height: 3.5rem;
    border: none;
    margin-top: 10rem;
    width: 13rem;
    border-radius: 999px;
    background-color: #5b3e2e;
    font-size: 1.5rem;
    color: white;
    font-weight: 600;
}
.sub-1 {
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    gap: 2rem;
}
.list > h2
{
    font-weight: 800;
}
.link {
    position: relative;
    color: #5b3e2e;
    font-size: 1.5rem;
    font-weight: 700;
    text-decoration: none;
    display: inline-block;
    padding: 10px 20px;
    background-color: transparent;
    transition: background-color 0.3s, color 0.3s;
}

.link.clicked {
    background-color: rgb(0 0 0 / 5%);
    border-radius: 7px;
    color: #5b3e2e;
}
.myclass 
{
width: 15rem;
height: 3.5rem;
color: #5b3e2e;
font-weight: 600;
border: none;
font-size: 1.5rem;
background-color: #fede4d;
border-radius: 999px;
}
.eat 
{
    display: flex;
    flex-direction: column;
    min-height: 60rem;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    background-color: #fede4d;
    padding: 8rem 10rem;
    gap: 2rem;
}
.eat > .eat-menu
{
    display: flex;
    align-items: center;
    padding: 5rem;
    justify-content: center;
    /*overflow: hidden;*/
    width: 100%;
    min-height: 30rem;
    gap: 10rem;
    flex-direction: row;
}
.card-data > h1 
{
     color: #5b3e2e;
    text-align: center;
}
.eat > .eat-menu > .eat-submenu
{
    display: flex;
    height: fit-content;
    flex-direction: column;
    gap: 1rem;
}
.eat-submenu > p
{
    text-align: left;
}
.eat-menu > img
{
  width: 30rem;
    transition: transform 0.3s ease;
}
.eat-menu > img:hover
{
    transform: scale(1.05);
}
.eat-submenu > h1 
{
    color: #5b3e2e;
    font-size: 4rem;
    font-weight: 800;
}
.eat-submenu > p
{
    color: #5b3e2e;
    font-size: 1.5rem;
}
.eat-bottom
{
    display: flex;
    align-items: center;
    /*overflow: hidden;*/
    width: 100%;
    justify-content: space-between;
    flex-direction: row;
}
.eat-cat 
{
    display: flex;
    flex-direction: column;
    gap: 2rem;
    width: 22rem;
    justify-content: center;
    align-items: center;
}
.eat-box
{
    background-color:white;
    border: none;
    height: 7rem;
    width: 7rem;
    border-radius: 9999px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.location
{
    width: 100%;
    height: fit-content;
    padding: 8rem 10rem;
    align-items: center;
    background-color: #fff;
}
.loc-container
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 3rem;
    align-items: center;
}
.search
{
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 3rem;
}
.loc-container > h1 
{
    color: #5b3e2e;
    font-size: 4rem;
    font-weight: 800;
}
.location > p
{
    font-size: 2rem;
    color: #5b3e2e;
}
.location > .search 
{
    display: flex;
    gap: 2rem;
    flex-direction: row;
    justify-content: center;
    width: 40rem;
}
.logo-ft > img 
{
    width: 9rem;
}
.bar
{
    border: 3px solid #5b3e2e;
    border-radius: 999px;
    height: 5rem;
    padding: .5rem 3rem;
    width: 25rem;
}
.searchbutton
{
    border-radius: 999px;
    display: flex;
    height: 5rem;
    background-color: #5b3e2e;
    color: white;
    gap: 1rem;
    font-size: 1.5rem;
    align-items: center;
    cursor: pointer;
    justify-content: center;
    width: 12rem;
    flex-direction: row;
 
}
.ftop > .left {
    display: flex;
    flex-direction: row;
    width: 100%;
    align-items: flex-start;
    align-self: flex-start;
    gap: 5rem;
}
.offer
{
    width: 100%;
    height: 20rem;
    background-color:#fede4d;
}
.footer
{
    width: 100%;
    height: fit-content;
    background-color:#fede4d;
    color: #5b3e2e;
}
.footer > .container 
{
    display: flex;
    flex-direction: column;
    padding: 5rem 10rem;
    padding-bottom: 0;
    height: fit-content;
    justify-content: space-between;

}
.parent {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    font-size: 1rem;
    align-items: start;
}
.app {
    display: flex;
    flex-direction: row;
    align-items: center;
}
.ftop
{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding-top: 4rem;
    padding-bottom: 2rem;
    align-items: self-start;;
}
.ftop > .right 
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 3rem;
}
.right > .social
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: .5rem;
    align-items: start;
}
.social > a > img 
{
    width: 8rem;
}
.right > h3
{
    text-decoration: none;
    color: #5b3e2e;
    font-size: 1rem;
}
 .ftop > .left
 {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    align-self: flex-start;
    gap: 5rem;
 }
 .left > .list 
 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 2rem;
    align-items: flex-start;
 }
 .list > h2 
 {
    font-size: 1.5rem;
    font-weight: 700;
    width: fit-content;
    color: #5b3e2e;
 }
 .list > ul > a 
 {
    text-decoration: none;
    font-size: 1.5rem;
    color: #5b3e2e;
    font-weight: 500;
 }
 li
 {
    list-style: none;
    
 }
 .list-app {
    display: flex;
    flex-direction: column;
    gap: 5rem;
}
ul 
{
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    width: 100%;
}
.fbottom 
{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    height: fit-content;
    gap: 2rem;
    align-items: center;
    padding: 2rem 0rem;
    border-top: 2px solid #5b3e2e;
}
.icons
{
    display: flex;
    flex-direction: row;
    height: fit-content;
    width: fit-content;
    align-items: center;
    justify-content: center;
    gap: 2rem;
}
.eat-box > h2
{
    font-weight: 600;
}
.icons > a > img
{
    color: #5b3e2e;
    background: #5b3e2e;
}
.fbottom > h2 
{
    font-size: 1.5rem;
    text-align: center;
    font-weight: 600;
}
.special 
{
    min-height: 50rem;
    background: #fede4d;
    padding: 8rem 10rem;
}
.special > .container 
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 3rem;
    align-items: center;
}
.special > .container  > h1
{
    color: #5b3e2e;
    font-size: 4rem;
    font-weight: 800;
}
.special-menu 
{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
}
.sm-sub
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 2rem;
    align-items: center;
}
.sm-sub > img
{
    width: 20rem;
    transition: transform 0.3s ease; 
    border-radius: .4rem;
}
.sm-sub > img:hover
{
    transform: scale(1.05);
}
.special > .container  > p
{
    text-align: center;
}
.loc-container > p
{
    text-align: center;
}
.special-menu > a
{
    text-decoration: none;
    color: #5b3e2e;
}
.discount
{
   width: 100%;
   height: 45rem;
   background: #fff;
   padding: 8rem 10rem; 
}
.discount > .container 
{
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 3rem;
    align-items: center;
}

.dis-left > img
{
    width: 30rem;
    transition: transform 0.3s ease; 

}
.dis-left > img:hover
{
    transform: scale(1.05);
}
.dis-right 
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 2rem;
}
.dis-right  > h1 
{
    color: #5b3e2e;
    font-size: 4rem;
    font-weight: 800;
}

.dis-right > p
{
    text-align: left;
}
p
{
    color: #5b3e2e;
    text-align: center;
    font-size: 1.5rem;
}
.dis-price 
{
    display: flex;
    flex-direction: row;
    justify-content: start;
    gap: 2rem;
    align-items: center;
}
.dis-price  > span
{
    color: #5b3e2e;
    font-size: 2rem;
    font-weight: 700;
}
.price-sub 
{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    color: #5b3e2e;
}
.price-sub > span
{
    font-size: 1rem;
}
#new
{
    font-size: 2rem;
    font-weight: 600;
}
.discount-button
{
    width: 10rem;
    height: 3.5rem;
    color: white;
    background-color: #5b3e2e;
    border-radius: 5rem;
    text-decoration: none;
    border: none;
    cursor: pointer;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}
span  
{
    text-align: center;
    font-size: 1.5rem;
}
/* home page tommato rotation */
@keyframes rotate {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}
.rotating {
    display: inline-block; 
    animation: rotate 25s linear infinite; 
}
/* Customize the entire scrollbar */
::-webkit-scrollbar {
    width: 0.8rem;
    height: 0.8rem;
}
::-webkit-scrollbar-track {
    background: #f1f1f1; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb {
    background: #5b3e2e; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover {
    background: #555; 
}

/*  devices above from 1200px */
@media (min-width:1280px) and (max-width:2000px)
{
    /* Customize the entire scrollbar */
::-webkit-scrollbar {
    width: 0.8rem;
    height: 0.8rem;
}
::-webkit-scrollbar-track {
    background: #f1f1f1; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb {
    background: #5b3e2e; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover {
    background: #555; 
}

    .discount 
    {
        display: flex;
        height: fit-content;
    }
    
   .left > .list 
   {
    width: 100%;
   }
   .list > h2
   {
     text-align: center;
   }
   .eat , .location , .special , .discount ,.footer > .container , .hero > .hero-container  
   {
           padding: 8rem 25rem;
   }
   .nav-continer 
   {
       padding: 0rem 25rem;
   }
   .menu-container  
   {
       min-width: 100%;
   }
   
}
/* devices from 1050px to 1280px */
@media (min-width:1050px) and (max-width:1280px)
{
    /* Customize the entire scrollbar */
::-webkit-scrollbar {
    width: 0.8rem;
    height: 0.8rem;
}
::-webkit-scrollbar-track {
    background: #f1f1f1; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb {
    background: #5b3e2e; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover {
    background: #555; 
}

    .nav-continer
    {
        padding: 0 10rem;
    }
    .special
    {
        height: 100%;
        padding: 8rem 10rem;
    }
    .special > .container
    {
        padding: 0;
    }
    .discount
    {
        min-height: 45rem;
        height: 100%;
        padding: 8rem 10rem;
    }
    .discount > .container
    {
        padding: 0;
    }
    .menu-container 
    {
        width: 100%;
    }
    .card 
    {
        width: auto;
    }
    .menu-card-container {
        grid-template-columns: repeat(3, 1fr);
    }
    .loc-container
    {
        padding: 0;
    }
    .hero > .hero-container {
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        padding: 8rem 10rem;
        align-items: center;
    }
    .hero-right > img {
        width: 40vw;
    }
    .menu-container > ul
    {
        padding: 2rem 0;
        flex-wrap: wrap;
    }
    .left {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        padding: 4rem 0;
        align-items: start;
    }
    .footer > .container
    {
        padding: 4rem 10rem;
    }
    .location
    {
        padding: 8rem 10rem;
    }
    .eat 
    {
        padding: 8rem 10rem;
    }
    .menu
    {
        padding: 8rem 10rem;
    }

}
/* devices from 900px to 1050px */
@media (min-width:900px) and ( max-width:1050px)
{
    /* Customize the entire scrollbar */
::-webkit-scrollbar {
    width: 0.8rem;
    height: 0.8rem;
}
::-webkit-scrollbar-track {
    background: #f1f1f1; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb {
    background: #5b3e2e; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover {
    background: #555; 
}

    .nav-continer
    {
        padding: 0 8rem;
    }
    .hero-right > img {
        width: 40vw;
    }
       #product-container 
    {
        grid-template-columns: repeat(3, 1fr);
    }
    .hero > .hero-container
    {
        padding:  8rem;
    }
    .parent {
        display: flex;
        flex-direction: column;
        gap: 2rem;
    }
    .fbottom 
{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: fit-content;
    gap: 2rem;
    align-items: center;
    padding: 2rem 0rem;
    border-top: 2px solid #5b3e2e;
}
    .nav-continer > .right 
    {
        gap: 1rem;
    }
    .list-app-child {
        display: flex;
        flex-direction: column;
        gap: 1rem;
    }
    .list-app {
        display: flex;
        flex-direction: column;
        gap: 4rem;
    }
    .menu {
        padding:8rem;
    }
    .parent > h2 {
        font-weight: 800;
    }
    .menu-card-container {
        display: grid;
        justify-content: center;
        align-items: center;
        grid-template-columns: repeat(3, 1fr);
        gap: 8rem;
        grid-template-rows: repeat(2, auto);
        padding-top: 2rem;
        height: fit-content;
    }
    .eat 
    {
        padding:8rem;
    }
    .location
    {
        padding: 8rem;
    }
    .loc-container
    {
        padding: 0;
    }
    .discount
    {
        min-height: 45rem;
        height: 100%;
        padding: 8rem;
    }
    .discount > .container
    {
        padding: 0;
    }
    .footer > .container
    {
        padding: 4rem 8rem;
    }
    .left > .list
    {
        padding: 0;
    }
    .list > h2
    {
        font-weight: 800;
    }
    .special > .container
    {
        width: 100%;
    }
    .sm-sub > img
    {
        width: 35vw;
    }
    .special-menu {
        display: flex;
        flex-wrap: wrap;
        justify-content:space-between;
        align-items: center;
        gap: 2rem;
    }
    .special
    {
        padding: 8rem;
    }
    .menu-container
    {
        width: 100%;
    }
    .menu-container > ul
    {
        flex-wrap: wrap;
    }
    .menu-card-container
    {
        gap: 0;
    }
    .nav-continer > .center > ul 
    {
        gap: 1.5rem;
    }
    .nav-continer > .right
    {
        padding: 0 2rem;
    }
}
/* devices from 600px to 900px */
@media (min-width:700px) and ( max-width:900px)
{
    /* Customize the entire scrollbar */
::-webkit-scrollbar {
    width: 0.8rem;
    height: 0.8rem;
}
::-webkit-scrollbar-track {
    background: #f1f1f1; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb {
    background: #5b3e2e; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover {
    background: #555; 
}

    .loc-container
    {
        padding: 0;
    }
       #product-container 
    {
        grid-template-columns: repeat(2, 1fr);
    }
    .nav-continer > .center > ul 
    {
        display: none;
    }
    .fbottom 
{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: fit-content;
    gap: 2rem;
    align-items: center;
    padding: 2rem 0rem;
    border-top: 2px solid #5b3e2e;
}
    .nav-continer 
    {
        padding: 0 8rem;
    }
    .menu 
    {
        padding: 8rem;
    }
    .location
    {
        padding: 8rem;
    }
    .eat-bottom 
    {
        flex-wrap: wrap;
        gap: 3rem;
    }
    .parent > h2 
    {
        font-weight: 800;
    }
    .list-app-child > a > li 
    {
        font-size: 1.5rem;
    }
    .eat
    {
        padding: 8rem;
        gap: 4rem;
    }
    .loc-container > h1 , .eat-submenu > h1
    {
        font-size: 5vw;
    }
    .eat-submenu > p 
    {
        font-size: 1.5rem;
    }
    .discount
    {
        min-height: 45rem;
        height: 100%;
        padding: 8rem;
    }
    .discount > .container 
    {
        flex-wrap: wrap;
        padding: 0;
    }
    .dis-right
    {
        align-items: center;
    }
    .dis-right > h1
    {
        text-align: center;
    }
    .eat > .eat-menu > .eat-submenu 
    {
        align-items: center;
    }
    .eat > .eat-menu 
    {
        flex-wrap: wrap;
        justify-content: center;
    }
    .special
    {
        padding: 8rem;
    }
    .special-menu
    {
        flex-wrap: wrap;
    }
    .sm-sub > img 
    {
        width: 35vw;
    }
    .left > .list 
    {
        padding: 0;
    }
    .footer > .container
    {
        padding: 0 8rem;
    }
    .ftop > .left
    {
        flex-wrap: wrap;
    }
    .list-app-child {
        display: flex;
        flex-direction: column;
        gap: 2rem;
    }
    .parent
    {
        display: flex;
        flex-direction: column;
        gap: 2rem;
    }
    .hero 
    {
        min-height: 70rem;
        height: 100%;
    }
    .hero > .hero-container  
    {
        flex-direction: column-reverse;
        gap: 2rem;
    }
    .menu-container  
    {
        width: 100%;
    }
    .list > h2
    {
        font-weight: 800;
    }
    .eat-menu > img 
    {
       width:30rem;
    }
    .eat-submenu > p
    {
        text-align: center;
    }
    .list-app {
        display: flex;
        flex-direction: row;
        justify-content: center;
        gap: 2rem;
    }
    .list-app {
        display: flex;
        flex-direction: row;
        gap: 2rem;
    }
    .menu-container > ul {
        display: grid;
        gap: 3rem;
        grid-template-columns: repeat(4, 1fr);
        text-decoration: none;
        grid-template-rows: repeat(2, auto);
        list-style: none;
        text-align: center;
        padding: 2rem;
    }
    .menu-card-container 
    {
        grid-template-columns: repeat(2, auto);
        display: grid;
        gap: 3rem;
        grid-template-rows: repeat(2, auto);
        padding-top: 2rem;
        align-items: center;
        justify-content: space-between;
        height: fit-content;
        min-width: 100%;
    }
    /* menu icon visible */
    .right > i {
        font-size: 3.5rem;
        cursor: pointer;
        display: block;
        font-weight: 900;
    }
    .container > .logo-ft > img 
    {
        width: 9rem;
        padding-top: 3rem;
    }
}
/* devices from 300px to 700px */
@media (min-width:300px) and ( max-width:700px)
{
    /* Customize the entire scrollbar */
::-webkit-scrollbar {
    width: 0.8rem;
    height: 0.8rem;
}
::-webkit-scrollbar-track {
    background: #f1f1f1; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb {
    background: #5b3e2e; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover {
    background: #555; 
}

    .parent {
        display: flex;
        flex-direction: column;
        gap: 1rem;
    }
    #product-container 
    {
        grid-template-columns: repeat(1, 1fr);
    }
    .dis-right > h1 {
    color: #5b3e2e;
    font-size: 3rem;
    font-weight: 800;
}
    .nav-continer
    {
        padding: 0 2rem;
    }
    .nav-continer > .center > ul 
    {
        display: none;
    }
    .nav-continer > .right > button 
    {
        display: none;
    }
    .mute 
    {
        align-items: center;
        display: flex;
        justify-content: center;
    }
    .fbottom 
{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: fit-content;
    gap: 2rem;
    align-items: center;
    padding: 2rem 0rem;
    border-top: 2px solid #5b3e2e;
}
    .nav-continer > .left > a > img  
    {
        padding: 0;
    }
    .right > i 
    {
        display: block;
        font-size: 2.5rem;
    }
    .hero > .hero-container 
    {
        padding: 0 2rem;
        flex-direction: column-reverse;
    }
    .hero-right > img {
        width: 30rem;
    }
    .hero-content  
    {
        width: 100%;
        gap: 2rem;
        align-items: center;
        justify-content: center;
    }
    .hero-content > h1 
    {
        font-size: 3rem;
        text-align: center;
    }
    .hero-content > span {
        font-size: 1.5rem;
        text-align: center;
    }
    .hero 
    {
        height:100vh ;
    }
    .menu-card-container {
        display: grid;
        gap: 3rem;
        padding-top: 2rem;
        justify-content: center;
        align-items: center;
        grid-template-columns: repeat(1, 1fr);
        width: 100%;
        height: fit-content;
    }
    .menu  
    {
        padding: 3rem 2rem;
    }
    .menu-container > h1 
    {
        font-size: 3rem;
    }
    .menu-container > ul {
        display: grid;
        gap: 3rem;
        grid-template-columns: repeat(4, 1fr);
        text-decoration: none;
        grid-template-rows: repeat(2, auto);
        list-style: none;
        text-align: center;
    }
    .hero-left > img  
    {
        display: none;
    }
    .link 
    {
        font-size: 3vw;
        padding: 0;
    }
    .menu-container > 
    .card 
    {
        width: 100%;
        justify-content: center;
    }
    .card > h1 
    {
        font-size: 2rem;
        color: #5b3e2e;
        font-weight: 800;
    }
    .eat 
    {
        padding:4rem 2rem;
    }
    .eat > .eat-menu 
    {
        flex-direction: column-reverse;
    }
    .eat > .eat-menu > .eat-submenu  
    {
        align-items: center;
    }
    .eat-submenu > h1 
    {
        font-size: 3rem;
        text-align: center;
        font-weight: 800;
    }
    .eat-submenu > p  
    {
        font-size: 1.5rem;
        text-align: center;
    }
    .eat-menu > img 
    {
    width:30rem;
    }
    .eat-bottom  
    {
        text-align: start;
        align-items: start;
        justify-content: center;
        display: flex;
        flex-wrap: wrap;
    }
    .eat-cat 
    {
        padding: 2rem;
    }
    .eat-cat > h2 
    {
        font-size: 2rem;
        font-weight: 800;
        text-align:center;
        color: #5b3e2e;
    }
    .location 
    {
        padding: 4rem 2rem;
    }
    .loc-container 
    {
        padding: 0;
    }
    .loc-container > h1  
    {
        font-size: 3rem;
        text-align: center;
    }
    .loc-container > p 
    {
        font-size: 1.5rem;
    }
    .search  
    {
        align-items: center;
        gap: 2rem;
        flex-direction: column;
    }
    .special 
    {
        padding: 4rem 2rem;
    }
    .special > .container > h1 
    {
        font-size: 3rem;
        text-align: center;
    }
    .special > .container > p 
    {
        font-size: 1.5rem;
        text-align: center;
    }
    .special-menu {
        flex-wrap: wrap;
        width: 100%;
        justify-content: center;
        padding: 2rem 0;
    }
    .discount 
    {
        min-height: 45rem;
        height: 100%;
        padding: 4rem 2rem;
    }
    .discount > .container 
    {
        padding: 0;
        flex-direction: column;
    }
    .dis-right 
    {
        text-align: center;
        align-items: center;
    }
    .dis-right > p
    {
        text-align: center;
    }
    .logo-ft > img 
    {
        width:9rem;
        padding-top: 4rem;
    }
    .footer > .container 
    {
        padding: 4rem 2rem;
        gap: 2.5rem;
    }
    .ftop > .left  
    {
        flex-wrap: wrap;
    }
    .parent > h2 
    {
        font-size: 1.5rem;
        font-weight: 700;
        color: #5b3e2e;
    }
    .list-app-child {
        display: flex;
        flex-direction: column;
        gap: 1rem;
    }
    .list-app-child > a > li 
    {
        font-size: 1.5rem ;
        color: #5b3e2e;
    }
    .menu-container > button 
    {
        margin-top:  5rem;
        margin-bottom: 5rem;
    }
    .ftop  
    {
        padding-top: 0;
        padding-bottom: 0;
    }
    .hero > img 
    {
        width: 6rem;
    }

@media (max-width:456px) 
{
    .ftop > .left {
        display: grid;
        width: 100%;
        grid-template-columns: repeat(2, 1fr);
    }
    .app {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        justify-content: center;
    }
}
}


</style>
            <!-- Login button -->
            <button style="background-color: transparent; border: 0.3rem solid #5b3e2e;">
                <a href="/lexo/frontend/login/public/login.php" style="color: #5b3e2e;">Login</a>
            </button>

            <!-- Sign up button -->
            <button>
                <a href="/lexo/frontend/login/public/signup.php">Sign Up</a>
            </button>

            <!-- Menu icon -->
            <i class="fa-solid fa-bars" id="menu-click"></i>
                     <!-- menu items -->
        </div>
    </div>
    </nav>
            
            
            
            
            
<div class="menu-list" id="menu-list">
    <div class="menu-parent">
        <div class="icon-close">
            <i class="fa-solid fa-xmark close" id="close-menu"></i>
        </div>
        <div class="menu-collection">
            <a href="#home">
                <div class="menu-item" id="home-item">
                    <img src="/lexo/frontend/home/assets/images/icons/home.gif" alt="Gift Icon" width="30" height="30" style=" display: none;">
                    <h5 style=" display: none;">Home</h5>
                </div>
            </a>

            <a href="#menu">
                <div class="menu-item" id="menu-item">
                    <img src="/lexo/frontend/home/assets/images/icons/menu.gif" alt="Gift Icon" width="30" height="30" style=" display: none;">
                    <h5 style=" display: none;">Our Menu</h5>
                </div>
            </a>
            
            <a href="#eat">
                <div class="menu-item" id="eat-item">
                     <img src="/lexo/frontend/home/assets/images/icons/family.gif" alt="Gift Icon" width="30" height="30" style=" display: none;">
                    <h5 style=" display: none;">Eat with family</h5>
                </div>
            </a>

            <a href="#location">
                <div class="menu-item" id="location-item">
                     <img src="/lexo/frontend/home/assets/images/icons/location.gif" alt="Gift Icon" width="30" height="30" style=" display: none;">
                    <h5 style=" display: none;">Locate now</h5>
                </div>
            </a>

            <a href="#specialities">
                <div class="menu-item" id="specialities-item">
                     <img src="/lexo/frontend/home/assets/images/icons/special.gif" alt="Gift Icon" width="30" height="30" style=" display: none;">
                    <h5 style=" display: none;">Specialities</h5>
                </div>
            </a>

            <a href="#discount">
                <div class="menu-item" id="discount-item">
                          <img src="/lexo/frontend/home/assets/images/icons/deals.gif" alt="Gift Icon" width="30" height="30" style=" display: none;">
                    <h5 style=" display: none;">Today Deal's</h5>
                </div>
            </a>
        </div>
    </div>

    <div class="menu-collection">
        <div class="menu-items">
            <a href="/lexo/frontend/login/public/login.php">
                <h5">Login</h5>
            </a>
        </div>
        <div class="menu-items">
            <a href="/lexo/frontend/login/public/signup.php">
                <h5">Signup</h5>
            </a>
        </div>
    </div>
</div>


<script>
    const menuClick = document.getElementById('menu-click');
    const closeMenu = document.getElementById('close-menu');
    const menuList = document.getElementById('menu-list');

    // Show the menu
    menuClick.addEventListener('click', () => {
        menuList.style.display = 'flex'; // Show the menu
        menuList.classList.add('active'); // Add the 'active' class to show images and text
        menuList.style.animation = 'slideIn 0.4s forwards'; // Animation for opening
        // document.body.style.overflow = 'hidden'; 

        // Show all images and h5 tags when the menu is active
        const images = document.querySelectorAll('.menu-item img');
        const headings = document.querySelectorAll('.menu-item h5');
        
        images.forEach(img => {
            img.style.display = 'block';
        });
        
        headings.forEach(h5 => {
            h5.style.display = 'block';
        });
    });

    // Hide the menu
    closeMenu.addEventListener('click', () => {
        menuList.style.animation = 'slideOut 0.6s forwards'; // Animation for closing
        setTimeout(() => {
            menuList.style.display = 'none'; // Hide the menu after animation
            menuList.classList.remove('active'); // Remove the 'active' class

            // Hide all images and h5 tags when the menu is not active
            const images = document.querySelectorAll('.menu-item img');
            const headings = document.querySelectorAll('.menu-item h5');
            
            images.forEach(img => {
                img.style.display = 'none';
            });
            
            headings.forEach(h5 => {
                h5.style.display = 'none';
            });
            
            // document.body.style.overflow = 'auto'; // Allow background scrolling again
        }, 600); // Match this duration with the animation time
    });

    // Smooth scrolling and hide menu on menu item click
    const menuItems = document.querySelectorAll('.menu-item');
    menuItems.forEach(item => {
        item.addEventListener('click', (event) => {
            const targetId = event.currentTarget.closest('a').getAttribute('href');
            const targetElement = document.querySelector(targetId);
            if (targetElement) {
                event.preventDefault(); // Prevent default anchor behavior

                // Hide menu with animation
                menuList.style.animation = 'slideOut 0.4s forwards';
                setTimeout(() => {
                    menuList.style.display = 'none'; // Hide the menu after animation
                    // document.body.style.overflow = 'auto'; // Allow background scrolling again
                    window.scrollTo({
                        top: targetElement.offsetTop,
                        behavior: 'smooth'
                    });
                }, 400); // Match this duration with the animation time
            }
        });
    });

    // Highlight active menu item based on scroll position
    window.addEventListener('scroll', () => {
        const sections = document.querySelectorAll('section');
        let scrollPos = window.scrollY;

        sections.forEach(section => {
            const sectionTop = section.offsetTop;
            const sectionHeight = section.offsetHeight;

            if (scrollPos >= sectionTop && scrollPos < sectionTop + sectionHeight) {
                const activeId = section.getAttribute('id') + '-item';
                menuItems.forEach(item => {
                    item.style.backgroundColor = ''; // Reset background
                });
                document.getElementById(activeId).style.backgroundColor = '#fede4d'; // Highlight active
            }
        });
    });
</script>


<style>
    .menu-list {
        display: none; /* Initially hidden */
        height: 100%; /* Full height */
    }

        /* Animation styles */
        @keyframes slideIn {
            from { transform: translateX(100%); }
            to { transform: translateX(0); }
        }

        @keyframes slideOut {
            from { transform: translateX(0); }
            to { transform: translateX(100%); }
        }

    .menu-parent {
        display: flex;
        flex-direction: column;
        width: 100%;
        align-items: center;
        justify-content: flex-start;
    }

    .menu-list {
        width: 65%;
        box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
        top: 0;
        flex-direction: column;
      
        height: 100%;
        min-height: 100vh;
        gap: 1rem;
        display: none;
        right: 0;
        border-top-left-radius: 20px;
        position: fixed;
        background: #ffffff;
        z-index: 2222;
    }

    .menu-list > .close {
        font-size: 2rem;
    }

    .icon-close {
        width: 100%;
        display: flex;
        flex-direction: row;
        padding: 2rem;
        font-weight: 800;
        justify-content: end;
        color: #5b3e2e;
        font-size: 2rem;
        align-items: center;
    }

    a > .menu-item {
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        padding: 1rem 1rem;
        background: #00000012;
        gap: 1.5rem;
        border-radius: 7px;
        cursor: pointer;
        font-weight: 800;
        color: #5b3e2e;
        font-size: 1.5rem;
        align-items: center;
    }

    .menu-items {
        width: 100%;
        height: 5rem;
        display: flex;
        flex-direction: row;
        justify-content: center;
        padding: 1rem 1rem;
        background: #fede4d;
        gap: 1.5rem;
        border-radius: 7px;
        font-weight: 800;
        color: #5b3e2e;
        font-size: 1.5rem;
        align-items: center;
    }

    .menu-items > a {
        text-decoration: none;
        height:100%;
        color: #5b3e2e;
        display: flex;
        align-items: center;
        width: 100%;
        justify-content: center;
    }

    .menu-collection {
        display: flex;
        flex-direction: column;
        padding: 2rem 2rem;
        gap: 1rem;
        width: 100%;
        height: fit-content;
        align-items: center;
    }

    .menu-collection > a {
        width: 100%;
        text-decoration: none;
        color: #5b3e2e;
    }
</style>

            
            
            
            
            
            
        </div>
    </div>
    </nav>
    <!-- home section -->
    <section class="hero" id="home"> 
           <!--  tommato img -->
           <img src="/lexo/frontend/home/assets/images/asset/tomatto.webp" alt="Rotating Image" class="rotating">
        <div class="hero-container">
            <div class="hero-left">
                <!-- salit img -->
                <!--<img src="/lexo/frontend/home/assets/images/asset/salit.webp" alt="Salit">-->
                <div class="hero-content">
                    <h1>Crunch and Munch Discover Your New Favorite!</h1>
                    <span>A delightful blend of flavors that will keep you coming back for more! Perfect for snacking anytime, anywhere.</span>
                    <button>
                        <a href="/lexo/frontend/login/public/login.php">Order Now</a>
                    </button>
                </div>
            </div>
            <div class="hero-right">
                <!-- burger img -->
                <img src="/lexo/frontend/home/assets/images/asset/burger.webp" alt="Burger">
            </div>
        </div>
    </section>
  <!-- Menu section -->
<?php
// Connect to the database
$conn = new mysqli('localhost', 'trivenzo_rizwan', 'GmFCt80r1Igs', 'trivenzo_all_data_managment');

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Fetch categories
$categories = ["burgers", "fries", "wrap", "juice", "meat", "icecream", "dessert", "bbq"];

// Fetch random items for initial display
$sql = "SELECT items_id, item_name, item_desc, item_price, item_image_url FROM items ORDER BY RAND() LIMIT 12";
$result = $conn->query($sql);
$products = $result->fetch_all(MYSQLI_ASSOC);
?>
    <style>
        .sub-1 {
              display: flex;
    flex-direction: row;
    color: #5b3e2e;
    justify-content: start;
    align-items: center;
    gap: 2rem;
        }

        .continer {
            grid-template-columns: repeat(4, 1fr);
            display: grid;
            gap: 3rem;
            padding-top: 2rem;
            justify-content: center;
            align-items: flex-end;
            width: 100%;
            height: fit-content;
        }
  

        .card-data {
            display: flex;
       
            flex-direction: column;
            gap: 1rem;
            align-items: center;
            justify-content: start;
        }

        .description {
            white-space: nowrap;
            /*overflow: hidden;*/
            text-overflow: ellipsis;
            max-width: 18rem;
           color: #5b3e2e;
        }

        .product-image {
            width: 20rem;
            transition: transform 0.3s ease;
        }

        .product-image:hover {
            transform: scale(1.05);
        }
    </style>

<!-- Menu section -->
<section class="menu" id="menu">
    <div class="menu-container">
        <h1>Our Menu</h1>
        <ul id="menu-list">
            <?php foreach ($categories as $category): ?>
                <li><a href="#" class="link" data-category="<?php echo $category; ?>"><?php echo ucfirst($category); ?></a></li>
            <?php endforeach; ?>
        </ul>

        <!-- Container -->
        <div class="continer" id="product-container">
            <?php foreach ($products as $row): ?>
                <!-- card-1 -->
                <div class="card-data">
                    <!-- product image -->
                    <img src="/lexo/<?php echo $row['item_image_url']; ?>" alt="Product" class="product-image">
                    <!-- product name -->
                    <h1><?php echo $row['item_name']; ?></h1>
                    <!-- product description -->
                    <p class="description"><?php echo $row['item_desc']; ?>...</p>

                    <div class="sub-1">
                        <span>Pkr. </span>
                        <span style="font-size: 2rem; font-weight:600;"><?php echo $row['item_price']; ?></span>
                    </div>
                    <a href="/lexo/frontend/login/public/login.php">
<style>
  .custom-button {
    width: 15rem;
    height: 3.5rem;
    color: #5b3e2e;
    font-weight: 600;
    border: none;
    font-size: 1.5rem;
    margin-bottom: 1rem;
    background-color: #fede4d;
    border-radius: 999px;
    cursor: pointer;
    transition: all 0.3s ease-in-out;

  }

  .custom-button:hover {
    transform: scale(1.05);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  }

    .menu-list.active .menu-item img,
    .menu-list.active .menu-item h5 {
        display: block;
    }
</style>

<button class="custom-button">
   Buy
</button>


                    </a>
                </div>
            <?php endforeach; ?>
        </div>

    </div>
</section>

<script>
document.querySelectorAll('.link').forEach(link => {
    link.addEventListener('click', function(event) {
        event.preventDefault(); // Prevent default anchor click behavior
        const category = this.getAttribute('data-category');
        fetchProductsByCategory(category);
    });
});

function fetchProductsByCategory(category) {
    const xhr = new XMLHttpRequest();
    xhr.open('GET', window.location.href + '?category=' + category, true);
    xhr.onload = function() {
        if (this.status == 200) {
            const data = JSON.parse(this.responseText);
            const container = document.getElementById('product-container');
            container.innerHTML = ''; // Clear previous products

            if (data.length > 0) {
                data.forEach(item => {
                    const card = `
                        <div class="card-data">
                            <img src="/lexo/${item.item_image_url}" alt="Product" class="product-image">
                            <h1>${item.item_name}</h1>
                            <p class="description">${item.item_desc}...</p>
                            <div class="sub-1">
                                <span>Pkr. </span>
                                <span style="font-size: 2rem; font-weight:600;">${item.item_price}</span>
                            </div>
                            <button style="width: 15rem; height: 3.5rem; color: #5b3e2e; font-weight: 600; border: none; font-size: 1.5rem; background-color: #fede4d; border-radius: 999px;">
                                Buy
                            </button>
                        </div>
                    `;
                    container.innerHTML += card;
                });
            } else {
                container.innerHTML = "<p>No products found in this category.</p>";
            }
        }
    };
    xhr.send();
}
</script>

<?php
if (isset($_GET['category'])) {
    $category = $_GET['category'];

    // Fetch products by category
    $sql = "SELECT items_id, item_name, item_desc, item_price, item_image_url FROM items WHERE item_category = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param('s', $category);
    $stmt->execute();
    $result = $stmt->get_result();

    $products = [];
    while ($row = $result->fetch_assoc()) {
        $products[] = $row;
    }

    header('Content-Type: application/json');
    echo json_encode($products);
    exit(); // Stop further processing after sending JSON response
}

// Close the connection
$conn->close();
?>

    <!-- eat like a family -->
    <section  id="eat">
        <div class="eat">
        <div class="eat-menu">
            <img src="/lexo/frontend/home/assets/images/products/eatwithfamily/breakfast.webp" alt="Eat">
            <div class="eat-submenu">
                <h1>Enjoy Family Meals Together</h1>
            <p>Join us at <a href="https://trivenzo.online/" style="color:#5b3e2e">Lexo ᴾᴷ</a> for delicious family meals that bring everyone together. Our thoughtfully crafted dishes are perfect for sharing and create special moments around the table. Experience the joy of family dining with a variety of gourmet options designed for every occasion. Enjoy a memorable culinary journey with <a href="https://trivenzo.online/" style="color:#5b3e2e">Lexo ᴾᴷ</a>, where food and family unite!</p>
            </div>
        </div>
        <div class="eat-bottom">
            <div class="eat-cat">
                <div class="eat-box">
                    <script src="https://cdn.lordicon.com/lordicon.js"></script>
                    <lord-icon
    src="https://cdn.lordicon.com/taymdfsf.json"
    trigger="loop"
    delay="1000"
    stroke="bold"
    colors="primary:#5b3e2e,secondary:#5b3e2e"
    style="width:5rem;height:5rem">
                    </lord-icon>
                </div>
                <h2>You Choose</h2>
                <span>Choose your favorite food from our menu and enjoy a delightful experience!</span>
            </div>
            <div class="eat-cat">
                <div class="eat-box">
                    <script src="https://cdn.lordicon.com/lordicon.js"></script>
                    <lord-icon
    src="https://cdn.lordicon.com/qphbplvq.json"
    trigger="loop"
    delay="1000"
    stroke="bold"
    colors="primary:#5b3e2e,secondary:#5b3e2e"
    style="width:5rem;height:5rem">
                    </lord-icon>
                </div>
                <h2>We Make</h2>
                <span>We make your selected menu items extra special, crafted to perfection just for you!</span>
            </div>
            <div class="eat-cat">
                <div class="eat-box">
                    <script src="https://cdn.lordicon.com/lordicon.js"></script>
                    <lord-icon
    src="https://cdn.lordicon.com/zzjjvkam.json"
    trigger="loop"
    delay="1000"
    stroke="bold"
    colors="primary:#5b3e2e,secondary:#5b3e2e"
    style="width:5rem;height:5rem">
                    </lord-icon>
                </div>
                <h2>We Deliver</h2>
                <span>We deliver your food with fast service, and best of all, it's free!</span>
            </div>
            <div class="eat-cat">
                <div class="eat-box">
                    <script src="https://cdn.lordicon.com/lordicon.js"></script>
                    <lord-icon
    src="https://cdn.lordicon.com/ozzqxurw.json"
    trigger="loop"
    stroke="bold"
    delay="1000"
    colors="primary:#5b3e2e,secondary:#5b3e2e"
    style="width:5rem;height:5rem">
                    </lord-icon>
                </div>
                <h2>You Eat</h2>
                <span>You enjoy your specially selected food, delivered to you in no time!</span>
            </div>
        </div>
    </div>
    </section>
    <!-- delivery locations -->
    <section class="location" id="location">
        <div class="loc-container">
            <h1>Seamless Food Ordering</h1>
            <p>Find Your Location makes food ordering easy by pinpointing your delivery address. Simply enter your location or use our tool to find it automatically, and we'll ensure your order arrives accurately and promptly. Enjoy a seamless food delivery experience with Find Your Location.</p>
            <div class="search">
                <input type="text" id="search" placeholder="Enter Your Order Location" class="bar">
                <div class="searchbutton" id="locate">
                    <script src="https://cdn.lordicon.com/lordicon.js"></script>
                    <lord-icon
                        src="https://cdn.lordicon.com/nchegqgo.json"
                        trigger="loop"
                        stroke="bold"
                        delay="1000"
                        colors="primary:#fff,secondary:#fff"
                        style="width:2rem;height:2rem">
                    </lord-icon> locate
                </div>
            </div>
            <div id="locationResult" style="margin-top: 20px;"></div>
        </div>
    </section>
    <!-- our special -->
    <section class="special" id="specialities">
        <div class="container">
            <h1>Our Specialities in Food</h1>
            <p>xplore our specialties in food and savor the unique flavors we offer. From signature dishes to exclusive culinary creations, our menu is crafted to delight your taste buds. Discover why our specialties are a must-try and experience exceptional dining with every bite.</p>
            <div class="special-menu">
                <a href="" id="Dinner">
                <div class="sm-sub">
                    <img src="/lexo/frontend/home/assets/images/asset/dinner.webp" alt="Dinner">
                    <h2>Dinner</h2>
                </div>
            </a>
            <a href="">
                <div class="sm-sub" id="Breakfast">
                    <img src="/lexo/frontend/home/assets/images/asset/breakfast.webp" alt="Breakfast">
                    <h2>Breakfast</h2>
                </div>
            </a>
                <a href="">
                <div class="sm-sub" id="Lunch">
                    <img src="/lexo/frontend/home/assets/images/asset/lunch.webp" alt="Lunch">
                    <h2>Lunch</h2>
                </div>
            </a>
                <a href="">
                <div class="sm-sub" id="Treats">
                    <img src="/lexo/frontend/home/assets/images/asset/treats.webp" alt="Treats">
                    <h2>Treats</h2>
                </div>
            </a>
            </div>
        </div>
    </section>
    <!-- Discount -->
    <section class="discount" id="discount">
        <div class="container">
            <div class="dis-right">
            <h1>Today's Deal  30% Off!</h1>
            <p>Don’t miss out on today’s exclusive discount! Enjoy 30% off your favorite dishes and save big on a fantastic meal. Treat yourself to deliciousness at a great price—order now and take advantage of this limited-time offer!</p>
            <div class="dis-price">
            <span>Just $17.00</span>
        </div>
        <a href="/lexo/frontend/login/public/login.php">
        <button class="discount-button">Buy Now</button>
        </a>
            </div>
            <div class="dis-left">
                <img src="/lexo/frontend/home/assets/images/asset/discount.webp" alt="Discount Offer">
            </div>
        </div>
    </div>
    </section>
    <!-- footer -->
    <footer class="footer" id="footer">
    <div class="container">
        <div class="logo-ft">
            <img src="/lexo/frontend/home/assets/images/logo/logo.webp" alt="Logo">
        </div>
        <div class="ftop">
            <div class="left">
                <div class="list">
                    <h2>Our Company</h2>
                    <ul>
                        <a href="">
                            <li>Community</li>
                        </a>
                        <a href="">
                            <li>Journey</li>
                        </a>
                        <a href="">
                            <li>History</li>
                        </a>
                        <a href="">
                            <li>Corporate</li>
                        </a>
                        <a href="">
                            <li>Resturant</li>
                        </a>
                    </ul>
                </div>
                <div class="list">
                    <h2>About Lexo</h2>
                    <ul>
                        <a href="">
                            <li>Who We Are</li>
                        </a>
                        <a href="">
                            <li>Report Fraud</li>
                        </a>
                        <a href="">
                            <li>Contact Us</li>
                        </a>
                    </ul>
                </div>
                <div class="list">
                    <h2>Learn More</h2>
                    <ul>
                        <a href="">
                            <li>Privacy</li>
                        </a>
                        <a href="">
                            <li>Terms</li>
                        </a>
                        <a href="">
                            <li>Security</li>
                        </a>
                        <a href="">
                            <li>FAQ`s</li>
                        </a> 
                    </ul>
                </div>
                <div class="list">
                    <h2>Help Service</h2>
                    <ul>
                        <a href="">
                            <li>Complain</li>
                        </a>

                        <a href="">
                            <li>Delivery</li>
                        </a>

                        <a href="">
                            <li>Food</li>
                        </a>

                        <a href="">
                            <li>Security</li>
                        </a>
                        <a href="">
                            <li>Staf</li>
                        </a>
                    </ul>
                </div>              
                <div class="list-app">
                    <div class="parent">
                      <h2>Download our App on</h2>
                      <ul>
                        <div class="app">
                            <a href="">
                            <img src="/lexo/frontend/home/assets/images/social/applestore.png" alt=""></a>
                            <a href="">
                            <img src="/lexo/frontend/home/assets/images/social/playstore.png" alt=""></a>
                        </div>
                    </div>      
                    </ul>
                </div>
            </div>
        </div>
        <div class="fbottom">
            <h2>© <a href="https://trivenzo.online/" style="color:#5b3e2e">Lexo ᴾᴷ</a> Copyright – All rights reserved. Unauthorized use or reproduction is prohibited.</h2>
            <div class="icons">
            <a href="">
                <script src="https://cdn.lordicon.com/lordicon.js"></script>
                <lord-icon
                    src="https://cdn.lordicon.com/lhscugaw.json"
                    trigger="loop"
                    delay="1000"
                    stroke="bold"
                    colors="primary:#420003,secondary:#420003"
                    style="width:3rem;height:3rem">
                </lord-icon>
            </a>
            <a href="">
                <script src="https://cdn.lordicon.com/lordicon.js"></script>
                <lord-icon
                    src="https://cdn.lordicon.com/ewswvzmw.json"
                    trigger="loop"
                    delay="1000"
                    stroke="bold"
                    colors="primary:#420003,secondary:#420003"
                    style="width:3rem;height:3rem">
                </lord-icon>
        </a>
            <a href="">
                <script src="https://cdn.lordicon.com/lordicon.js"></script>
                <lord-icon
                    src="https://cdn.lordicon.com/cywksamr.json"
                    trigger="loop"
                    delay="1000"
                    stroke="bold"
                    colors="primary:#420003,secondary:#420003"
                    style="width:3rem;height:3rem">
                </lord-icon>
            <a href="">
                <script src="https://cdn.lordicon.com/lordicon.js"></script>
                <lord-icon
                    src="https://cdn.lordicon.com/iqagrlso.json"
                    trigger="loop"
                    delay="1000"
                    stroke="bold"
                    colors="primary:#420003,secondary:#420003"
                    style="width:3rem;height:3rem">
                </lord-icon>
            </a>         
        </div>
        </div>
    </div>
    </footer>  
    <!-- home js link -->
    <script src="./assets/js/home.js"></script>
    <!-- audio js link -->
    <script src="./assets/js/audio.js"></script>
    <!-- button hover js link -->
    <script src="./assets/js/button-hover.js"></script>
    <!-- nav fixed js link -->
    <script src="./assets/js/navfixed.js"></script>
    <!-- location capture js link -->
    <script src="./assets/js/location-capture.js"></script>
    <!-- rotate img js link -->
    <script src="./assets/js/rotate-img.js"></script>
</body>
</html>


