const image = document.querySelector('.rotating');

// Example function to start the rotation
function startRotation() {
    image.classList.add('rotating');
}

// Example function to stop the rotation
function stopRotation() {
    image.classList.remove('rotating');
}

// Example: Toggle rotation on click
image.addEventListener('click', () => {
    if (image.classList.contains('rotating')) {
        stopRotation();
    } else {
        startRotation();
    }
});
