<?php
// Connect to the database
$conn = new mysqli('localhost', 'trivenzo_rizwan', 'GmFCt80r1Igs', 'trivenzo_all_data_managment');

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get the category from the request
$category = isset($_GET['category']) ? $_GET['category'] : '';

// Fetch products based on the selected category
$sql = "SELECT items_id, item_name, item_desc, item_price, item_image_url FROM items WHERE item_category = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param('s', $category);
$stmt->execute();
$result = $stmt->get_result();

$products = [];
while ($row = $result->fetch_assoc()) {
    $products[] = $row;
}

// Return the products as JSON
header('Content-Type: application/json');
echo json_encode($products);

// Close the connection
$conn->close();
?>
