<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

$servername = "localhost";
$username = "trivenzo_rizwan";
$password = "GmFCt80r1Igs";
$dbname = "trivenzo_all_data_managment";

// Create connection
$connection = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($connection->connect_error) {
    die("Connection failed: " . $connection->connect_error);
}

$username = $email = $number = $gender = $password = $address = $avatar = "";
$errors = [];

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $username = trim($_POST['username'] ?? '');
    $email = trim($_POST['email'] ?? '');
    $number = trim($_POST['number'] ?? '');
    $gender = trim($_POST['gender'] ?? '');
    $password = trim($_POST['password'] ?? '');
    $address = trim($_POST['address'] ?? '');
    $block = 0; // Default block status

    // Get user IP address
    $device_ip = $_SERVER['REMOTE_ADDR'];

    // Avatar upload handling
    if (isset($_FILES['avatar_image']) && $_FILES['avatar_image']['error'] == 0) {
        $avatar = $_FILES['avatar_image']['name'];
        $target_dir = "users/images/";
        $target_file = $target_dir . basename($avatar);
        $check = getimagesize($_FILES['avatar_image']['tmp_name']);
        $allowed_extensions = ['jpg', 'jpeg', 'png', 'webp'];
        $file_extension = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));

        if ($check === false) {
            $errors[] = "File is not an image.";
        } elseif (!in_array($file_extension, $allowed_extensions)) {
            $errors[] = "Only JPG, JPEG, PNG, and WEBP files are allowed.";
        } elseif (!move_uploaded_file($_FILES['avatar_image']['tmp_name'], $target_file)) {
            $errors[] = "Sorry, there was an error uploading your file.";
        }
    } else {
        $avatar = "default_avatar.webp"; // Use default image if no file is uploaded
    }

    // Check for unique email
    $email_check_query = "SELECT * FROM users WHERE email = ? LIMIT 1";
    $stmt = $connection->prepare($email_check_query);
    $stmt->bind_param("s", $email);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $errors[] = "This email already exists. Please try another one.";
    }

    // Check for unique phone number
    $number_check_query = "SELECT * FROM users WHERE number = ? LIMIT 1";
    $stmt = $connection->prepare($number_check_query);
    $stmt->bind_param("s", $number);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $errors[] = "This phone number already exists. Please try another one.";
    }

    // Hash the password securely
    $hashed_password = password_hash($password, PASSWORD_DEFAULT);

    // Generate a random user ID
    function generateUserID() {
        return rand(1000000000, 9999999999); // Generate a random 10-digit user ID
    }
    $user_id = generateUserID();
    
    if (empty($errors)) {
        $query = "INSERT INTO users (user_id, username, email, number, gender, password, address, avatar_image, device_ip, block, device_version) 
                  VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
        
        $stmt = $connection->prepare($query);
        $stmt->bind_param("isssssssssi", $user_id, $username, $email, $number, $gender, $hashed_password, $address, $avatar, $device_ip, $block, $device_version);

        if ($stmt->execute()) {
            echo "<script>alert('Account created successfully!'); window.location.href='login.php';</script>";
            exit;
        } else {
            $errors[] = "Database Error: " . $stmt->error;
        }
    }

    if (!empty($errors)) {
        foreach ($errors as $error) {
            echo "<script>alert('$error');</script>";
        }
    }
}

$connection->close();
?>






<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <meta
    name="viewport"
    content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no"
  />
  <meta
    http-equiv="Cache-Control"
    content="no-cache, no-store, must-revalidate"
  />
  <meta http-equiv="Pragma" content="no-cache" />
  <meta http-equiv="Expires" content="0" />
  <meta
    name="robots"
    content="index, follow"
    data-testid="all-robots-meta-tag"
  />
  <link
    rel="canonical"
    href="https://www.trivenzo.online/"
    id="link_canonical"
    data-testid="link_canonical"
  />
  <meta name="msapplication-TileColor" content="#fede4d" />
  <meta
    name="msapplication-square70x70logo"
    content="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-70x70.webp"
  />
  <meta
    name="msapplication-square150x150logo"
    content="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-150x.150webp"
  />
  <meta
    name="msapplication-square310x310logo"
    content="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-310x310.webp"
  />
  <meta name="msapplication-config" content="none" />
  <link
    rel="apple-touch-icon"
    sizes="192x192"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-192x192.webp"
  />
  <link
    data-default-icon="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-96x96.webp"
    rel="shortcut icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-96x96.webp"
  />
  <link
    rel="icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-16x16.webp"
    sizes="16x16"
  />
  <link
    rel="icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-32x32.webp"
    sizes="32x32"
  />
  <link
    rel="icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-96x96.webp"
    sizes="96x96"
  />
  <link
    rel="shorcut icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-192x192.webp"
    sizes="192x192"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-57x57.webp"
    sizes="57x57"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-60x60.webp"
    sizes="60x60"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-72x72.webp"
    sizes="72x72"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-76x76.webp"
    sizes="76x76"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-114x114.webp"
    sizes="114x114"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-120x120.webp"
    sizes="120x120"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-144x144.webp"
    sizes="144x144"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-152x152.webp"
    sizes="152x152"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-180x180.webp"
    sizes="180x180"
  />
 <title>Sign Up for Lexo ᴾᴷ | Join the Delicious Food Experience!</title>
<meta property="og:title" content="Sign Up for Lexo ᴾᴷ | Unlock Delicious Deals!" />
<meta
    property="og:description"
    content="Join Lexo ᴾᴷ today and enjoy exclusive access to gourmet meals, special offers, and a personalized dining experience that brings deliciousness to your doorstep."
/>
<meta property="og:url" content="https://trivenzo.online/signup" />
<meta
    name="description"
    content="Become a member of Lexo ᴾᴷ! Sign up to explore an exquisite range of meals tailored just for you. Enjoy convenient food ordering, exclusive discounts, and a seamless dining experience at your fingertips. Your culinary adventure begins here!"
/>
<meta
    name="keywords"
    content="Lexo, Sign Up, food delivery, join Lexo, gourmet meals, exclusive offers, convenient ordering, personalized dining, food experience, culinary adventure"
/>
  <link rel="stylesheet" href="/lexo/frontend/login/assets/css/signup.css" />
  <link
    rel="stylesheet"
    href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css"
  />

</head>
<body>
  <div class="containers">
    <div class="contents">
      <div class="parents">
        <div class="left-sides">
            <div class="father">
          <h3>Start for free</h3>
          <div class="link">
            <span>Already have an account?</span><a href="/lexo/frontend/login/public/login.php">Login</a>
          </div>
          </div>
          <div class="sub">
            <h1>Create Your Lexo Account</h1>
            <p>Sign up today and unlock special offers on delicious meals delivered straight to your door!</p>
            <div class="card"> 
              <p>I hope you won’t have any issues signing up.</p>
              <div class="profile">
                <img src="/lexo/frontend/login/assets/images/profile.webp" alt="">
                <div class="cat">
                  <h3>Rizwan Ali</h3>
                  <span>MERN Full Stack Web Developer</span>
                </div>
              </div>
            </div>
          </div>
        </div>
 <div class="center-content">
          <form action="signup.php" method="POST" enctype="multipart/form-data">
           <div class="email">
                    <span>Enter your Username</span>
                    <input name="username" type="text" class="input" id="username" oninput="validateUsername()" required>
            </div>
     <div class="email">
    <span>Enter your Email</span>
    <input name="email" type="text" class="input" id="email" oninput="validateEmail()" required>
</div>
<div class="email">
    <span>Enter your number</span>
    <input name="number" type="text" value="+92" class="input" id="phone" oninput="validatePhone()" maxlength="13" required>
</div>

<div class="email">
    <div class="first">
        <span>Enter your Gender</span>
        <div class="gender-input-container">
<input type="text" class="input" id="gender" readonly onclick="toggleOptions()" name="gender" placeholder="Select Gender">
            <div class="options" id="gender-options" style="display: none;">
                <div class="option" onclick="selectGender('Male')">Male</div>
                <div class="option" onclick="selectGender('Female')">Female</div>
                <div class="option" onclick="selectGender('Other')">Other</div>
            </div>
        </div>
    </div>
</div>

<script>
function toggleOptions() {
    const options = document.getElementById('gender-options');
    options.style.display = options.style.display === 'none' ? 'block' : 'none';
}

function selectGender(gender) {
    document.getElementById('gender').value = gender; // Gender ko input mein daal rahe hain
    document.getElementById('gender-options').style.display = 'none'; // Options ko hide karna
}
</script>

           <div class="email">
  <span>Enter your Password</span>
    <div class="input-container">
  <input name="password" type="password" class="input" id="password" oninput="validatePassword()" required>
  <!--hide password-->
  <img src="/lexo/frontend/login/assets/images/hide.webp" class="toggle-password" data-password="password">
  <!--show password-->
  <img src="/lexo/frontend/login/assets/images/show.webp" class="show-password" data-password="password" style="display: none;">
</div>
  </div>
<div class="email">
  <span>Confirm your Password</span>
  <div class="input-container">
    <input type="password" class="input" id="confirm-password" oninput="validateConfirmPassword()" required>
    <!--hide password-->
    <img src="/lexo/frontend/login/assets/images/hide.webp" class="toggle-password" data-password="confirm-password">
    <!--show password-->
    <img src="/lexo/frontend/login/assets/images/show.webp" class="show-password" data-password="confirm-password" style="display: none;">
  </div>
</div>

<style>
   .email {
  margin-bottom: 1rem;
  position: relative;
}

.input-container {
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;
}

.input {
  width: 100%;
  padding-right: 2.5rem; /* Space for the toggle icons */
  box-sizing: border-box; /* Ensure the padding fits inside the input */
}

.input-container img {
  position: absolute;
  right: 1rem;
filter: invert(30%);
  top: 50%;
  transform: translateY(-50%); /* Vertically center the images */
  cursor: pointer;
  width: 1.5rem; /* Icon width */
  height: 1.5rem; /* Icon height */
}


</style>
           <script>
          // Function to toggle password visibility
function togglePasswordVisibility(passwordFieldId, hideIcon, showIcon) {
  const passwordInput = document.getElementById(passwordFieldId);

  if (passwordInput.type === "password") {
    passwordInput.type = "text"; // Show password
    hideIcon.style.display = 'none'; // Hide the 'hide' icon
    showIcon.style.display = 'inline'; // Show the 'show' icon
  } else {
    passwordInput.type = "password"; // Hide password
    hideIcon.style.display = 'inline'; // Show the 'hide' icon
    showIcon.style.display = 'none'; // Hide the 'show' icon
  }
}

// Get all hide and show icons
const hideIcons = document.querySelectorAll('.toggle-password');
const showIcons = document.querySelectorAll('.show-password');

// Add event listeners for hide icons
hideIcons.forEach(hideIcon => {
  hideIcon.addEventListener('click', function () {
    const passwordFieldId = hideIcon.getAttribute('data-password');
    const showIcon = document.querySelector(`.show-password[data-password="${passwordFieldId}"]`);
    togglePasswordVisibility(passwordFieldId, hideIcon, showIcon);
  });
});

// Add event listeners for show icons
showIcons.forEach(showIcon => {
  showIcon.addEventListener('click', function () {
    const passwordFieldId = showIcon.getAttribute('data-password');
    const hideIcon = document.querySelector(`.toggle-password[data-password="${passwordFieldId}"]`);
    togglePasswordVisibility(passwordFieldId, hideIcon, showIcon);
  });
});

           </script> 
            
            
            
            
            
            
            
            
           <div class="email">
    <span>Enter your Address</span>
    <input name="address" type="text" class="input" id="address" oninput="validateAddress()" required>
</div>


<div class="email">
  <span>Upload your Avatar</span>
  <div class="input-wrapper">
    <input name="avatar_image" type="file" accept=".png, .jpg, .jpeg, .webp" class="input" id="avatar" style="display: none;" onchange="imageSelected()" required>
    <input type="text" id="imagePath" class="input" readonly placeholder="No image selected" required>
    <img src="https://trivenzo.online/lexo/frontend/login/assets/images/upload.webp" alt="Upload Avatar" class="upload-icon" id="aftershow" onclick="document.getElementById('avatar').click();">
  </div>
</div>

<script>
const cheaking = document.getElementById('aftershow');
addEventListener('click', () => {
    setTimeout(() => {    
    cheaking.style.filter = 'invert(30%)'; 
    },1000)
})


  function imageSelected() {
    var fileInput = document.getElementById('avatar');
    var imagePath = document.getElementById('imagePath');
    
    // Check if a file has been selected
    if (fileInput.files && fileInput.files[0]) {
      imagePath.value = fileInput.files[0].name; // Set the file name in the text input
    } else {
      imagePath.value = 'No image selected'; // Reset if no file is selected
    }
  }
</script>

            <button class="create" type="submit" id="submit" name="register" oninput="validateForm">Create Account</button>
          </form>
        </div>
      </div>
            </div>
    </div>
    
<div class="popup" style="display:none;">
    <div class="icon" id="close-popup">
 <i class="fas fa-times"></i>
    </div>
    <span id="erros-popup">Please fill all the fields...</span>
</div>

</div>

<script>
// Function to validate username
function validateUsername() {
    const usernameInput = document.getElementById("username");
    const popup = document.querySelector(".popup");
    const errorPopupText = document.getElementById("erros-popup");
    const regex = /^[a-zA-Z0-9]{6,}$/;

    if (usernameInput.value === "") {
        errorPopupText.textContent = "Username cannot be empty";
        popup.style.display = "flex";
        return false;
    } else if (!regex.test(usernameInput.value)) {
        errorPopupText.textContent = "Username must be at least 6 characters long and can only contain letters and numbers (a-z, 0-9)";
        popup.style.display = "flex";
        return false;
    } else {
        popup.style.display = "none"; // Hide the popup if valid
        return true;
    }
}

// Function to validate email
function validateEmail() {
    const emailInput = document.getElementById("email");
    const popup = document.querySelector(".popup");
    const errorPopupText = document.getElementById("erros-popup");
    const regex = /^[a-zA-Z0-9._%+-]+@gmail\.com$/;
    const startsWithWWW = /^www\./;

    if (emailInput.value === "") {
        errorPopupText.textContent = "Email cannot be empty";
        popup.style.display = "flex";
        return false;
    } else if (startsWithWWW.test(emailInput.value)) {
        errorPopupText.textContent = "Please enter abc@gmail.com, this format only";
        popup.style.display = "flex";
        return false;
    } else if (!regex.test(emailInput.value)) {
        errorPopupText.textContent = "Only @gmail.com addresses are allowed";
        popup.style.display = "flex";
        return false;
    } else {
        popup.style.display = "none"; // Hide the popup if valid
        return true;
    }
}

// Function to validate phone number
function validatePhone() {
    const phoneInput = document.getElementById("phone");
    const popup = document.querySelector(".popup");
    const errorPopupText = document.getElementById("erros-popup");
    const regex = /^\+92[0-9]{10}$/;

    if (phoneInput.value === "") {
        errorPopupText.textContent = "Phone number cannot be empty";
        popup.style.display = "flex";
        return false;
    } else if (!regex.test(phoneInput.value)) {
        errorPopupText.textContent = "Phone number must be in the format +923XXXXXXXXX (total 13 characters)";
        popup.style.display = "flex";
        return false;
    } else {
        popup.style.display = "none"; // Hide the popup if valid
        return true;
    }
}

// Function to validate password
function validatePassword() {
    const passwordInput = document.getElementById("password");
    const popup = document.querySelector(".popup");
    const errorPopupText = document.getElementById("erros-popup");

    if (passwordInput.value === "") {
        errorPopupText.textContent = "Password cannot be empty";
        popup.style.display = "flex";
        return false;
    } else if (passwordInput.value.length < 6) {
        errorPopupText.textContent = "Password must be at least 6 characters long";
        popup.style.display = "flex";
        return false;
    } else {
        popup.style.display = "none"; // Hide the popup if valid
        return true;
    }
}

// Function to validate confirm password
function validateConfirmPassword() {
    const passwordInput = document.getElementById("password");
    const confirmPasswordInput = document.getElementById("confirm-password");
    const popup = document.querySelector(".popup");
    const errorPopupText = document.getElementById("erros-popup");

    if (confirmPasswordInput.value === "") {
        errorPopupText.textContent = "Confirm Password cannot be empty";
        popup.style.display = "flex";
        return false;
    } else if (confirmPasswordInput.value !== passwordInput.value) {
        errorPopupText.textContent = "Passwords do not match";
        popup.style.display = "flex";
        return false;
    } else {
        popup.style.display = "none"; // Hide the popup if valid
        return true;
    }
}

// Function to validate address
function validateAddress() {
    const addressInput = document.getElementById("address");
    const popup = document.querySelector(".popup");
    const errorPopupText = document.getElementById("erros-popup");
    const regex = /^[a-zA-Z0-9\s]{10,}$/;

    if (addressInput.value === "") {
        errorPopupText.textContent = "Address cannot be empty";
        popup.style.display = "flex";
        return false;
    } else if (!regex.test(addressInput.value)) {
        errorPopupText.textContent = "Address must be at least 10 characters long and can only contain letters, numbers, and spaces";
        popup.style.display = "flex";
        return false;
    } else {
        popup.style.display = "none"; // Hide the popup if valid
        return true;
    }
}

// Function to validate all fields before submission
function validateForm() {
    const isValidUsername = validateUsername();
    const isValidEmail = validateEmail();
    const isValidPhone = validatePhone();
    const isValidPassword = validatePassword() && validateConfirmPassword();
    const isValidAddress = validateAddress();

    // Check if all fields are valid
    if (isValidUsername && isValidEmail && isValidPhone && isValidPassword && isValidAddress) {
        // Show success message and allow form submission
        const popup = document.querySelector(".popup");
        const errorPopupText = document.getElementById("erros-popup");
        errorPopupText.textContent = "cheaking details please wait a moment";
        popup.style.display = "flex";
        return true; // Allow form submission
    } else {
        // Show error message if validation fails
        const popup = document.querySelector(".popup");
        const errorPopupText = document.getElementById("erros-popup");
        errorPopupText.textContent = "Your information is being processed, Thank you for your patience!";
        popup.style.display = "flex";
        return false; // Prevent form submission
    }
}

// Close popup when the close button is clicked
document.getElementById("close-popup").onclick = function() {
    document.querySelector(".popup").style.display = "none";
};

// Attach the validateForm function to the form submission
document.querySelector('form').addEventListener('submit', function(event) {
    if (!validateForm()) {
        event.preventDefault(); // Prevent form submission if validation fails
    }
});
</script>


</script>


  <style>
  span.material-symbols-outlined {
    color: #5b3e2e;
    cursor:pointer;
    font-weight: 900;
}
  .icon 
  {
      display: flex;
    color: #5b3e2e;
    height: 2rem;
    width: 2rem;
    border-radius: .4rem;
    flex-direction: row;
    background-color: #fede4d;
    align-items: center;
    justify-content: center;
  }
  .popup 
  {
    width: 50rem;
    position: absolute;
    gap: 2rem;
    display: none;
    align-items: center;
    top: 1rem;
    padding: 1rem;
    border-radius: 0.7rem;
    background: #ffffff;
}
  }
      /* Modal styles */
      .modal {
          display: none; /* Hidden by default */
          position: fixed; /* Stay in place */
          z-index: 1000; /* Sit on top */
          left: 0;
          top: 0;
          width: 100%; /* Full width */
          height: 100%; /* Full height */
          overflow: auto; /* Enable scroll if needed */
          background-color: rgb(0,0,0); /* Fallback color */
          background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
          padding-top: 60px; /* Location of the box */
      }

      .modal-content {
          background-color: #fefefe;
          margin: 5% auto; /* 15% from the top and centered */
          padding: 20px;
          border: 1px solid #888;
          width: 80%; /* Could be more or less, depending on screen size */
          max-width: 500px; /* Maximum width */
          position: relative; /* Position for the close button */
      }

      .close {
          color: #aaa;
          float: right;
          font-size: 28px;
          font-weight: bold;
          cursor: pointer;
      }

      .close:hover,
      .close:focus {
          color: black;
          text-decoration: none;
          cursor: pointer;
      }

      /* Center modal */
      .modal-content {
          position: absolute;
          left: 50%;
          top: 50%;
          transform: translate(-50%, -50%);
      }
      span {
    color: #5b3e2e;
    font-size: .8rem;
}
/* Wrap the input and image */
.input-wrapper {
  position: relative;
  width: 100%;
  display: flex;
}

.input-wrapper .input {
  width: 100%;
  padding-right: 2.5rem; /* Make space for the icon */
}

.upload-icon {
  position: absolute;
  right: 1rem; /* Set the icon 1rem from the right edge */
  top: 50%;
  
  transform: translateY(-50%); /* Vertically center the icon */
  cursor: pointer;
  height: 24px; /* Adjust the size as needed */
  width: 24px;
}

  </style>

  <script>
      function closeModal() {
          document.getElementById('errorModal').style.display = 'none';
      }
  </script>

</body>
</html>
